 package com.bonus.sharedstation.web.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.sharedstation.app.dto.CleaningServicesDTO;
import com.bonus.sharedstation.app.entity.CleaningServicesEntity;

/**
 * 清洁服务 web 维护 Service
 *
 * @author zhh
 * @date 2024-11-15
 */
public interface ICleaningServiceWebService extends IService<CleaningServicesEntity> {

    AjaxResult insert(CleaningServicesEntity dto);


    AjaxResult updateInfoById(CleaningServicesEntity dto);

    AjaxResult delete(CleaningServicesEntity dto);

    AjaxResult getListPage(CleaningServicesDTO dto);

    AjaxResult getListPageApp(CleaningServicesDTO dto);

    AjaxResult selectAll(CleaningServicesEntity dto);

    AjaxResult selectInfoById(CleaningServicesEntity dto);
}
